
Redmine - Defect #10089

Bug in file attaching

2012-01-30 11:47 - Il'ya Shakitko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

 1327920320-clip-6kb.png?nocache=1 

Isn't working :(

History

#1 - 2012-01-30 11:47 - Il'ya Shakitko

If i click 'additional files', the page will scroll up to page and nothing...

#2 - 2012-01-30 12:10 - Etienne Massip

- Category set to Attachments

- Priority changed from High to Normal

Which Redmine version, config, etc. please give details according to SubmittingBugs.

#3 - 2012-01-30 12:20 - Il'ya Shakitko

Sorry: Redmine 1.3.0.stable.8693 (MySQL)

#4 - 2012-01-30 12:21 - Il'ya Shakitko

More information i will add a little later from admins

#5 - 2012-01-30 21:15 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#6 - 2012-01-31 11:16 - Il'ya Shakitko

About your application's environment

Ruby version 1.8.6 (x86_64-linux)

RubyGems version 1.3.7

Rack version 1.1.1

Rails version 2.3.14

Active Record version 2.3.14

Active Resource version 2.3.14

Action Mailer version 2.3.14

Active Support version 2.3.14

Application root /opt/redmine-1.3

Environment production

Database adapter mysql

Database schema version 20120115143126

About your Redmine plugins

Redmine Better Gantt Chart plugin 0.5.3

Redmine Close Button plugin 0.0.4

Issues XLS export 0.1.3

Redmine Pastebin plugin 0.0.1

Redmine Attach Screenshot plugin 0.1.0

Redmine Theme Changer plugin 0.0.3

Redmine Light Box plugin 0.0.1

#7 - 2012-02-03 17:26 - James Silver

We are also experiencing this exact error since we upgraded to Redmine 1.3.0.stable (MySQL).
When the "Add another file" link is clicked I am bumped to the top of the browser window (no doubt because the browser tries to open the fragment

'#') and the following javascript error occurs:

$("attachment_description_label_content") is null

on line 58 of 

javascripts/application.js

#8 - 2012-02-03 18:37 - Jean-Philippe Lang

James Silver wrote:

We are also experiencing this exact error since we upgraded to Redmine 1.3.0.stable (MySQL).

When the "Add another file" link is clicked I am bumped to the top of the browser window (no doubt because the browser tries to open the

fragment '#') and the following javascript error occurs:

[...]

on line 58 of [...]

 Your application.js is outdated. There's no such code in 1.3.0. Please make sure application.js is properly upgraded and hit CTRL+F5 in your

browser.

#9 - 2012-02-04 08:53 - Steven Jones

Thanks Jean-Philippe Lang, our static files were still being served from the old version of redmine.

#10 - 2012-02-09 14:32 - Il'ya Shakitko

Did you add it to Candidate for next minor release ?

#11 - 2012-02-09 17:11 - Etienne Massip

- Status changed from New to Closed

Il'ya Shakitko wrote:

Did you add it to Candidate for next minor release ?

 No since this issue still can't be reproduced. Steven's issue might also be the one you're hitting?

#12 - 2012-02-13 16:09 - Il'ya Shakitko

- Status changed from Closed to Reopened

But Steven can reproduce it, i understand that  Jean-Philippe Lang find this bug

#13 - 2012-02-13 16:13 - Etienne Massip

- Status changed from Reopened to Closed

Il'ya Shakitko wrote:

But Steven can reproduce it, i understand that  Jean-Philippe Lang find this bug

 Not exactly, JPL helped Steven to find that the issue was its HTTP server configuration serving the wrong files, not Redmine.

#14 - 2012-02-14 09:49 - Il'ya Shakitko

So, what i need to do to fix this?

#15 - 2012-02-14 10:02 - Etienne Massip

Il'ya Shakitko wrote:

So, what i need to do to fix this?

 Well, check your HTTP server config?
#16 - 2012-04-27 09:03 - Marco Descher

For me this bug happens in relation with #3816, i documented it there. If I remove the redmine_attach_screenshot plugin, it works again. The

application.js was not to bother :)
